Bug 1136329 - [RFE] Improving the host networking API
Summary: [RFE] Improving the host networking API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Martin Mucha
QA Contact: Meni Yakove
URL: http://www.ovirt.org/Features/HostNet...
Whiteboard:
Depends On:
Blocks: 668847 988285 1055454 1058675 1094842 1149441 1163365 1178507 1193544 1194297 1227865 1230813 1249026
TreeView+ depends on / blocked
 
Reported: 2014-09-02 11:04 UTC by Nir Yechiel
Modified: 2016-03-09 20:37 UTC (History)
13 users (show)

Fixed In Version: 3.6.0-11
Doc Type: Enhancement
Doc Text:
This feature introduces new REST API resources for a better way to manage networks. Network related tasks like removing unmanaged networks, attaching new networks, and creating bonds are now easier using the new 'HostSetupNetworks' and 'NetworkAttachment' entities.
Clone Of:
: 1149441 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:37:46 UTC
oVirt Team: Network
nyechiel: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 44481 ovirt-engine-3.6 MERGED engine: adding expected value to ReportedConfiguration Never
oVirt gerrit 45081 master MERGED engine:fixedTranslations Never
oVirt gerrit 45083 master MERGED core: clean up Never
oVirt gerrit 45123 master MERGED core: instantiation of validator moved out from class Never
oVirt gerrit 45211 ovirt-engine-3.6 MERGED core: validate that updated attachment already exists Never
oVirt gerrit 46274 ovirt-engine-3.6 MERGED engine:fixedTranslations Never
oVirt gerrit 46275 ovirt-engine-3.6 MERGED core: clean up Never
oVirt gerrit 46276 ovirt-engine-3.6 ABANDONED core: support for MockConfigDescriptor.mockConfig with enum as Version Never
oVirt gerrit 46277 ovirt-engine-3.6 MERGED core: simplified HostSetupNetworksValidatorTest Never
oVirt gerrit 46278 ovirt-engine-3.6 MERGED core: instantiation of validator moved out from class Never
oVirt gerrit 46279 ovirt-engine-3.6 MERGED core: added NetworkImplementationDetailsUtilsTest also for base nic. Never
Red Hat Bugzilla 1044064 None None None Never

Internal Links: 1044064

Description Nir Yechiel 2014-09-02 11:04:40 UTC
Description of problem:

The current host networking API suffers from various limitations:

- A mix of the physical and the logical network configuration
- A Cumbersome request format for 'setup networks'
- The attach/detach network isn't the RESTFul way to modify the interface
- Cannot support a host only network (a network without a physical NIC)

Comment 1 Barak 2015-08-03 14:35:24 UTC
moving this bug to MODIFIED as all the parts but QOS is in.

opened 2 separate bugs on QOS:
Bug 1249654 - for engine
Bug 1249657 - for api

Comment 2 Yaniv Lavi 2015-08-26 10:41:26 UTC
Please track any additional changes like oVirt gerrit 45211 in separate BZs and not via this RFE.

Comment 3 Julie 2015-11-16 03:42:02 UTC
Hi Martin, 
     I have updated the doc text for release notes. Can you confirm if it is correct? 
Also, is there a docs bug opened for this new feature? This probably needs to go into the REST API guide and not just Release Notes. 
Do you have examples on how to use the new options?

Cheers,
Julie

Comment 4 Julie 2015-11-16 23:41:49 UTC
(In reply to Julie from comment #3)
> Hi Martin, 
>      I have updated the doc text for release notes. Can you confirm if it is
> correct? 
> Also, is there a docs bug opened for this new feature? This probably needs
> to go into the REST API guide and not just Release Notes. 
> Do you have examples on how to use the new options?
> 
> Cheers,
> Julie

To answer my own question, docs bug for this feature is https://bugzilla.redhat.com/show_bug.cgi?id=1149441. Please add in some examples if you can.

Cheers,
Julie

Comment 6 errata-xmlrpc 2016-03-09 20:37:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.